kind: Job
apiVersion: batch/v1
metadata:
  name: "{{ obj.key }}-upgrade-to-{{ profile_obj.app_version }}-{{ rfc1143_chunk() }}"
  namespace: "{{ namespace }}"
  labels:
    app: "{{ obj.key }}-upgrade-to-{{ profile_obj.app_version }}"
    app.kubernetes.io/name: "{{ profile_obj.k8s_app_id.slug}}"
    app.kubernetes.io/instance: "{{obj.key}}"
    app.kubernetes.io/component: "upgrade-job"
    app.kubernetes.io/version: "{{ profile_obj.app_version }}"

  annotations:
    muppy.io/hook: "pre-upgrade"
    muppy.io/hook-weight: "100"
spec:
  # Purge Jobs whatever status after 2 days (2 * 24 * 60 * 60 s)
  ttlSecondsAfterFinished: 172800
  backoffLimit: 0
  template:
    metadata:
      labels:
        app: "{{ obj.key }}-upgrade-to-{{ profile_obj.app_version }}"
      annotations:
        muppy.io/package-release: "{{ obj.name }}"
    spec:
      restartPolicy: Never
      imagePullSecrets:
      - name: {{ obj.key }}-docker-registry-cred
      containers:
      - name: appserver-{{ profile_obj.k8s_app_id.code }}
        image: {{ values.docker_image }}
        args:
        - --update=all
        - --stop-after-init
        {{ values.upgrade_args | to_yaml(offset=8) }}
        env:
        - name: PGDATABASE
          value: "{{ obj.dash_pg_database or ''}}"
        {{ values.common_env_vars | to_yaml(offset=8) }}
        envFrom:
        - secretRef:
             name: "{{ obj.key }}-envfile-secret"

                  